package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ReasonCodeRulePO;
import mhp.oee.po.gen.ReasonCodeRulePOExample;

public interface ReasonCodeRulePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodeRulePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodeRulePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int insert(ReasonCodeRulePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodeRulePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    List<ReasonCodeRulePO> selectByExample(ReasonCodeRulePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    ReasonCodeRulePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodeRulePO record, @Param("example") ReasonCodeRulePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodeRulePO record, @Param("example") ReasonCodeRulePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodeRulePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodeRulePO record);
}